Bug 208268 - [MAINTAINER][PATCH] games/fairymax: Update to 5.0b.20160316.1
Summary: [MAINTAINER][PATCH] games/fairymax: Update to 5.0b.20160316.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-24 22:02 UTC by Kalten
Modified: 2016-03-29 12:08 UTC (History)
0 users

See Also:


Attachments
games/fairymax: update to 5.0b.20160316.1 patch [1] (1.07 KB, patch)
2016-03-24 22:02 UTC, Kalten
kalten: maintainer-approval+
Details | Diff
log: make.* output [1] (44.16 KB, text/plain)
2016-03-24 22:04 UTC, Kalten
no flags Details
log: poudriere testport -P output [1] (55.13 KB, text/plain)
2016-03-24 22:06 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2016-03-24 22:02:33 UTC
Created attachment 168581 [details]
games/fairymax: update to 5.0b.20160316.1 patch [1]

* Update to latest version.
* Update needed for upcoming games/xboard-devel update.
* PORTVERSION schema matched to that of games/xboard-devel
* CONFLICTS changed to CONFLICTS_INSTALL and added 5.0b

The output of »portlint -AC« with comments:
------------------------------------------------------------------------
> WARN: Makefile: [0]: possible direct use of command "cp" found.
> use ${CP} instead. [three times]
That is in our post-patch target in a sed expression on its left side
and therefor OK.

> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section
> empty, to make SVN happy.
It is not a new port.

> WARN: Makefile: Consider defining LICENSE.
Well: difficult: see his file »copyright«. I do not know what to enter in
the Makefile. (same as at times of bug #193544)

> 0 fatal errors and 5 warnings found.
------------------------------------------------------------------------

»poudriere testport -P« output and »setenv DEVELOPER yes; make clean;
make stage && make check-plist && make stage-qa && make package« output
will follow  shortly.

Thank you in advance for taking care of this commit.

Regards,
 Kalten
Comment 1 Kalten 2016-03-24 22:04:49 UTC
Created attachment 168582 [details]
log: make.* output [1]

setenv DEVELOPER yes ; make clean ; make stage && make check-plist && make stage-qa && make package
Comment 2 Kalten 2016-03-24 22:06:28 UTC
Created attachment 168583 [details]
log: poudriere testport -P output [1]

log: poudriere testport -P output
Comment 3 Dmitry Marakasov freebsd_committer 2016-03-25 13:20:12 UTC
Um, you don't need conflicts for older versions of the same port.
Comment 4 Dmitry Marakasov freebsd_committer 2016-03-29 02:43:32 UTC
Committed, thanks! Unneeded CONFLICTS removed.
Comment 5 commit-hook freebsd_committer 2016-03-29 02:43:54 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Mar 29 02:43:15 UTC 2016
New revision: 412091
URL: https://svnweb.freebsd.org/changeset/ports/412091

Log:
  - Update to 5.0b.20160316.1

  PR:		208268
  Submitted by:	kalten@gmx.at

Changes:
  head/games/fairymax/Makefile
  head/games/fairymax/distinfo
Comment 6 Kalten 2016-03-29 12:08:24 UTC
(In reply to Dmitry Marakasov from comment #3)
> Um, you don't need conflicts for older versions of the same port.
Oh! Sounds very logical. I hope, I shall think about that in the future.

(In reply to Dmitry Marakasov from comment #4)
> Committed, thanks! Unneeded CONFLICTS removed.
Thank you!

Regards,
 Kalten